--- old/usr/src/uts/common/fs/zfs/vdev_label.c	Mon Dec  9 16:07:37 2013
+++ new/usr/src/uts/common/fs/zfs/vdev_label.c	Mon Dec  9 16:07:37 2013
@@ -283,6 +283,11 @@
 			    vd->vdev_removing);
 	}
 
+	if (flags & VDEV_CONFIG_L2CACHE)
+		/* indicate that we support L2ARC persistency */
+		VERIFY(nvlist_add_boolean_value(nv,
+		    ZPOOL_CONFIG_L2CACHE_PERSISTENT, B_TRUE) == 0);
+
 	if (vd->vdev_dtl_sm != NULL) {
 		fnvlist_add_uint64(nv, ZPOOL_CONFIG_DTL,
 		    space_map_object(vd->vdev_dtl_sm));
